MESH(4)

NAME
mesh - Macintosh Enhanced SCSI Hardware

SYNOPSIS
mesh* at macobio? flags 0xffff
scsibus* at mesh?

DESCRIPTION
The mesh driver provides support for the onboard SCSI/2 (fast SCSI) controller found on many old world Apple Power Macintosh systems and clones.

Machines supported by the mesh driver include:

-   Power Macintosh 7600, 8500, 9500 and 9600.

DEVICE FLAGS
The mesh driver supports the following flags.

Bits 0-7:
    Disable disconnect/reselect for the corresponding SCSI ID number.

Bits 8-15: Disable synchronous negotiation for the corresponding
    SCSI ID number.

Disconnect/reselect should be enabled for tape devices, or SCSI bus performance may be degraded.

SEE ALSO
intro(4), macobio(4), scsi(4)

HISTORY
The mesh driver first appeared in OpenBSD 4.1.

BUGS
No support for tagged queueing. Synchronous transfers and disconnect/reconnect are disabled by default.